<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>

<body>
  <div id="app">
    <input v-model="message" placeholder="ketikkan kata kunci">
    <button v-on:click="nambahUser(message, indexArray)"> {{namaButton}} </button>
    <ul>
      <li v-for="(todo,index) in users">
        {{todo.name}}
        <button @click=editUser(index)>Edit</button>
        <button @click="deleteUser(index)">Delete</button>
      </li>
    </ul>

  </div>
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
    var vm = new Vue({
      el: '#app',
      data: {
        message: "",
        namaButton: "add",
        indexArray: -1,
        users: [
          {
            'name': 'Muhammad Iqbal Mubarok',
          },
          {
            'name': 'Ruby Purwanti',
          },
          {
            'name': 'Faqih Muhammad',
          },

        ],

      },
      computed: {

      },
      methods: {
        nambahUser(message, index) {
          if (index == -1) {
            this.users.push({
              'name': this.message
            })
            this.message = ''
          }
          else {
            this.users[index].name = message;
            this.indexArray = -1
            this.message = ''
            this.namaButton = 'add'
          }
        },
        deleteUser(index) {
          let text = "Anda Yakin? \nEither OK or Cancel.";
          if (confirm(text) == true) {
            this.users.splice(index, 1)
          }
        },
        editUser(index) {
          this.namaButton = 'Update'
          this.message = this.users[index].name
          this.indexArray = index

        }



      }

    }) 
  </script>
</body>

</html>